Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
TreeNode Class Reference

## Public Member Functions
| __init__ (self, canvas, parent, item, menuList=[])
| collapse (self, event=None)
| createPopupMenu (self)
| deselect (self, event=None)
| deselectall (self)
| deselecttree (self)
| destroy (self)
| draw (self, x, y, fUseCachedChildren=1)
| drawicon (self)
| drawtext (self)
| edit (self, event=None)
| edit_cancel (self, event=None)
| edit_finish (self, event=None)
| expand (self, event=None)
| find (self, searchKey)
| flip (self, event=None)
| geticonimage (self, name)
| lastvisiblechild (self)
| popupMenu (self, event=None)
| popupMenuCommand (self)
| reveal (self)
| select (self, event=None)
| select_or_edit (self, event=None)
| setChildrenTag (self, tag, fModeChildrenTag)
| setFSortChildren (self, fSortChildren)
| update (self, fUseCachedChildren=1, fExpandMode=0)
| updateAll (self, fMode, depth=0, fUseCachedChildren=1)
| view (self)

## Public Attributes
| canvas = canvas
dict | children = {}
| childrenTag = None
| edit_cancel
| edit_finish = 5)
| entry = Entry(self.label, bd=0, highlightthickness=1, width=0)
| flip
int | fModeChildrenTag = 0
bool | fSortChildren = False
dict | iconimages = {}
| image_id = 1
| item = item
list | kidKeys = []
| label = Label(self.canvas, text=text, bd=0, padx=2, pady=2)
| menuList = menuList
| menuVar = IntVar()
| parent = parent
| popupMenu
| select = id
| select_or_edit
int | selected = 0
int | setAsTarget = 0
str | state = 'collapsed'
| text_id = id
| x = None
| y = x, y

## Protected Attributes
| _popupMenu = None

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | canvas,
|  |  | parent,
|  |  | item,
|  |  | menuList = [] )

## Member Function Documentation

## ◆ collapse()

collapse | ( |  | self,
|  |  | event = None )

## ◆ createPopupMenu()

createPopupMenu | ( |  | self | ) |

## ◆ deselect()

deselect | ( |  | self,
|  |  | event = None )

## ◆ deselectall()

deselectall | ( |  | self | ) |

## ◆ deselecttree()

deselecttree | ( |  | self | ) |

## ◆ destroy()

destroy | ( |  | self | ) |

## ◆ draw()

draw | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | fUseCachedChildren = 1 )

## ◆ drawicon()

drawicon | ( |  | self | ) |

## ◆ drawtext()

drawtext | ( |  | self | ) |

## ◆ edit()

edit | ( |  | self,
|  |  | event = None )

## ◆ edit_cancel()

edit_cancel | ( |  | self,
|  |  | event = None )

## ◆ edit_finish()

edit_finish | ( |  | self,
|  |  | event = None )

## ◆ expand()

expand | ( |  | self,
|  |  | event = None )

## ◆ find()

find | ( |  | self,
|  |  | searchKey )

## ◆ flip()

flip | ( |  | self,
|  |  | event = None )

## ◆ geticonimage()

geticonimage | ( |  | self,
|  |  | name )

## ◆ lastvisiblechild()

lastvisiblechild | ( |  | self | ) |

## ◆ popupMenu()

popupMenu | ( |  | self,
|  |  | event = None )

## ◆ popupMenuCommand()

popupMenuCommand | ( |  | self | ) |

## ◆ reveal()

reveal | ( |  | self | ) |

## ◆ select()

select | ( |  | self,
|  |  | event = None )

## ◆ select_or_edit()

select_or_edit | ( |  | self,
|  |  | event = None )

## ◆ setChildrenTag()

setChildrenTag | ( |  | self,
|  |  | tag,
|  |  | fModeChildrenTag )

## ◆ setFSortChildren()

setFSortChildren | ( |  | self,
|  |  | fSortChildren )

## ◆ update()

update | ( |  | self,
|  |  | fUseCachedChildren = 1,
|  |  | fExpandMode = 0 )

## ◆ updateAll()

updateAll | ( |  | self,
|  |  | fMode,
|  |  | depth = 0,
|  |  | fUseCachedChildren = 1 )

## ◆ view()

view | ( |  | self | ) |

## Member Data Documentation

## ◆ _popupMenu

_popupMenu = None
| protected

## ◆ canvas

canvas = canvas

## ◆ children

dict children = {}

## ◆ childrenTag

childrenTag = None

## ◆ edit_cancel

edit_cancel

## ◆ edit_finish

edit_finish = 5)

## ◆ entry

entry = Entry(self.label, bd=0, highlightthickness=1, width=0)

## ◆ flip

flip

## ◆ fModeChildrenTag

fModeChildrenTag = 0

## ◆ fSortChildren

fSortChildren = False

## ◆ iconimages

dict iconimages = {}

## ◆ image_id

image_id = 1

## ◆ item

item = item

## ◆ kidKeys

list kidKeys = []

## ◆ label

label = Label(self.canvas, text=text, bd=0, padx=2, pady=2)

## ◆ menuList

menuList = menuList

## ◆ menuVar

menuVar = IntVar()

## ◆ parent

parent = parent

## ◆ popupMenu

popupMenu

## ◆ select

select = id

## ◆ select_or_edit

select_or_edit

Initial value:
= self.canvas.create_window(textx, texty,
anchor="nw", window=self.label)

## ◆ selected

int selected = 0

## ◆ setAsTarget

int setAsTarget = 0

## ◆ state

str state = 'collapsed'

## ◆ text_id

text_id = id

## ◆ x

x = None

## ◆ y

y = x, y